#pragma once
#ifndef _find_siblings_h_
#define _find_siblings_h_

// Linux/Unix header.
#include <sys/types.h>

// C++ headers.
#include <stdexcept>
#include <string>
#include <vector>

// This is what we throw when we go boom.  This is derived from std::stdexcept
class unsafe_sibling: public std::runtime_error {
public:
	unsafe_sibling(std::string msg): std::runtime_error(msg) { }
};

// Our only thing.
std::vector<pid_t> siblings(bool safe = true);

#endif
