// Know parent pid
//   ps -h --ppid $PPID -o pid,exe
//   ps -h -o pid,exe $PID
// Could run this and parse output.  Maybe do it low level, just to
// demonstrate pipes.
//
// As broken on BSD.
//   -h means something useless for us.  Probably need to read and discard.
//   ps -o pid,comm -p $$     prints the pid and its command (not path)
// No selection by parent.
//   ps -o pid,ppid,comm       will list the parent for filtering.
// Apparently prints your process, which could then be filtered.  -a gives
// all, but not much more controls.  Can do by tty or specified user.
// comm is just the argv[0], so could be false.  Name problem is mainly
// identifying the parent as a shell.  Prob'ly can do well enough.  
//  Probably
//      ps -U $USER -o pid,ppid,comm
//  (for actual user, of course) will give a list on either system capable
//  of filtering by ppid and self.
